from typing import Iterable, Union

import numpy as np
import numpy.typing as npt

Numerical = Union[float, int]

Numerical1D = Union[
    npt.NDArray[np.float_],
    npt.NDArray[np.int_],
    Iterable[float],
    Iterable[int],
]

class TextEvent:
    def __init__(self) -> None: ...

    def get_text(self) -> str: ...

    def get_enabled(self) -> bool: ...
    def set_enabled(self, value: bool) -> None: ...

    def clear_text(self) -> None: ...

class MousePositionEvent:
    def __init__(self) -> None: ...

    def get_position(self, using_numpy: bool=True) -> Numerical1D: ...

    def get_delta(self, using_numpy: bool=True) -> Numerical1D: ...
    def get_delta_toggle(self, using_numpy: bool=True) -> Numerical1D: ...

class MouseEnterWindowEvent:
    def __init__(self) -> None: ...

    def get_entered(self) -> bool: ...
    def get_entered_toggle(self) -> bool: ...

class MouseButton_Left_Event:
    def __init__(self) -> None: ...

    def get_pressed(self) -> bool: ...
    def get_pressed_toggle(self) -> bool: ...
    def get_double_pressed(self) -> bool: ...
    def get_long_pressed(self) -> bool: ...

    def poll_long_pressed(self) -> bool: ...

    def get_repeat_press_duration(self) -> Numerical: ...
    def get_long_press_duration(self) -> Numerical: ...
    def get_double_press_duration(self) -> Numerical: ...

    def set_repeat_press_duration(self, duration: Numerical) -> None: ...
    def set_double_press_duration(self, duration: Numerical) -> None: ...
    def set_long_press_duration(self, duration: Numerical) -> None: ...

class MouseButton_Right_Event:
    def __init__(self) -> None: ...

    def get_pressed(self) -> bool: ...
    def get_pressed_toggle(self) -> bool: ...
    def get_double_pressed(self) -> bool: ...
    def get_long_pressed(self) -> bool: ...

    def poll_long_pressed(self) -> bool: ...

    def get_repeat_press_duration(self) -> Numerical: ...
    def get_long_press_duration(self) -> Numerical: ...
    def get_double_press_duration(self) -> Numerical: ...

    def set_repeat_press_duration(self, duration: Numerical) -> None: ...
    def set_double_press_duration(self, duration: Numerical) -> None: ...
    def set_long_press_duration(self, duration: Numerical) -> None: ...

class MouseButton_Middle_Event:
    def __init__(self) -> None: ...

    def get_pressed(self) -> bool: ...
    def get_pressed_toggle(self) -> bool: ...
    def get_double_pressed(self) -> bool: ...
    def get_long_pressed(self) -> bool: ...

    def poll_long_pressed(self) -> bool: ...

    def get_repeat_press_duration(self) -> Numerical: ...
    def get_long_press_duration(self) -> Numerical: ...
    def get_double_press_duration(self) -> Numerical: ...

    def set_repeat_press_duration(self, duration: Numerical) -> None: ...
    def set_double_press_duration(self, duration: Numerical) -> None: ...
    def set_long_press_duration(self, duration: Numerical) -> None: ...

class MouseButton_0_Event:
    def __init__(self) -> None: ...

    def get_pressed(self) -> bool: ...
    def get_pressed_toggle(self) -> bool: ...
    def get_double_pressed(self) -> bool: ...
    def get_long_pressed(self) -> bool: ...

    def poll_long_pressed(self) -> bool: ...

    def get_repeat_press_duration(self) -> Numerical: ...
    def get_long_press_duration(self) -> Numerical: ...
    def get_double_press_duration(self) -> Numerical: ...

    def set_repeat_press_duration(self, duration: Numerical) -> None: ...
    def set_double_press_duration(self, duration: Numerical) -> None: ...
    def set_long_press_duration(self, duration: Numerical) -> None: ...

class MouseButton_1_Event:
    def __init__(self) -> None: ...

    def get_pressed(self) -> bool: ...
    def get_pressed_toggle(self) -> bool: ...
    def get_double_pressed(self) -> bool: ...
    def get_long_pressed(self) -> bool: ...

    def poll_long_pressed(self) -> bool: ...

    def get_repeat_press_duration(self) -> Numerical: ...
    def get_long_press_duration(self) -> Numerical: ...
    def get_double_press_duration(self) -> Numerical: ...

    def set_repeat_press_duration(self, duration: Numerical) -> None: ...
    def set_double_press_duration(self, duration: Numerical) -> None: ...
    def set_long_press_duration(self, duration: Numerical) -> None: ...

class MouseButton_2_Event:
    def __init__(self) -> None: ...

    def get_pressed(self) -> bool: ...
    def get_pressed_toggle(self) -> bool: ...
    def get_double_pressed(self) -> bool: ...
    def get_long_pressed(self) -> bool: ...

    def poll_long_pressed(self) -> bool: ...

    def get_repeat_press_duration(self) -> Numerical: ...
    def get_long_press_duration(self) -> Numerical: ...
    def get_double_press_duration(self) -> Numerical: ...

    def set_repeat_press_duration(self, duration: Numerical) -> None: ...
    def set_double_press_duration(self, duration: Numerical) -> None: ...
    def set_long_press_duration(self, duration: Numerical) -> None: ...

class MouseButton_3_Event:
    def __init__(self) -> None: ...

    def get_pressed(self) -> bool: ...
    def get_pressed_toggle(self) -> bool: ...
    def get_double_pressed(self) -> bool: ...
    def get_long_pressed(self) -> bool: ...

    def poll_long_pressed(self) -> bool: ...

    def get_repeat_press_duration(self) -> Numerical: ...
    def get_long_press_duration(self) -> Numerical: ...
    def get_double_press_duration(self) -> Numerical: ...

    def set_repeat_press_duration(self, duration: Numerical) -> None: ...
    def set_double_press_duration(self, duration: Numerical) -> None: ...
    def set_long_press_duration(self, duration: Numerical) -> None: ...

class MouseButton_4_Event:
    def __init__(self) -> None: ...

    def get_pressed(self) -> bool: ...
    def get_pressed_toggle(self) -> bool: ...
    def get_double_pressed(self) -> bool: ...
    def get_long_pressed(self) -> bool: ...

    def poll_long_pressed(self) -> bool: ...

    def get_repeat_press_duration(self) -> Numerical: ...
    def get_long_press_duration(self) -> Numerical: ...
    def get_double_press_duration(self) -> Numerical: ...

    def set_repeat_press_duration(self, duration: Numerical) -> None: ...
    def set_double_press_duration(self, duration: Numerical) -> None: ...
    def set_long_press_duration(self, duration: Numerical) -> None: ...

class MouseScrollEvent:
    def __init__(self) -> None: ...

    def get_position(self, using_numpy: bool=True) -> Numerical1D: ...
    def clear_position(self) -> None: ...
    def get_horizontal_position(self) -> Numerical: ...
    def get_vertical_position(self) -> Numerical: ...

    def get_delta(self, using_numpy: bool=True) -> Numerical1D: ...
    def get_horizontal_delta(self) -> Numerical: ...
    def get_vertical_delta(self) -> Numerical: ...

    def get_delta_toggle(self, using_numpy: bool=True) -> Numerical1D: ...
    def get_horizontal_delta_toggle(self) -> Numerical: ...
    def get_vertical_delta_toggle(self) -> Numerical: ...

    def get_enabled(self) -> bool: ...

    def set_enabled(self, value: bool) -> None: ...

class ControllerEvent:
    def __init__(self, controller_id: int) -> None: ...

    def get_axis_decimal(self, axis_id: int) -> Numerical: ...
    def get_axis_percentage(self, axis_id: int) -> Numerical: ...